﻿//
// Atribute to expose MonoBehaviour's Method call as a Button in Inspector.
// Design and runtime, or runtime only.
//
using UnityEngine;

[System.AttributeUsage(System.AttributeTargets.Method)]
public class AttachAsInspectorButtonAttribute : PropertyAttribute
{
	public enum EnabledState { Always, RuntimeOnly, EditModeOnly };

	public EnabledState enabledState;

	/// <summary>
	/// Attach Method as a Button to the bottom of MonoBehaviour's Inspector
	/// </summary>
	/// <param name="enabledState">Enable or disable button when Player is or is not running.</param>
	public AttachAsInspectorButtonAttribute(EnabledState enabledState = EnabledState.Always)
	{
		this.enabledState = enabledState;
	}
}