﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Assertions;
using UnityEngine.SceneManagement;

public class ButtonBack : MonoBehaviour
{
	public AudioSource clickAudioSource;
	public string sceneNameToLoad;
	
	bool clicked = false;



	private void OnMouseEnter()
	{
		var spriteSwitch = GetComponent<SpriteSwitch>();
		spriteSwitch.enabled = true;
	}
	private void OnMouseExit()
	{
		var spriteSwitch = GetComponent<SpriteSwitch>();
		spriteSwitch.enabled = false;
	}
	private void OnMouseUpAsButton()
	{
		if (clicked) return;


		clicked = true;
		clickAudioSource.Play();

		// TODO Transition back to Loft

		StartCoroutine(DelayedSceneLoad());
	}
	IEnumerator DelayedSceneLoad()
	{
		yield return new WaitForSeconds(clickAudioSource.clip.length);
		SceneManager.LoadScene(sceneNameToLoad);
	}
}