﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Assertions;

public class ConstellationStarTarget : MonoBehaviour
{
	public ConstellationStar parentStar;

	ConstellationStar nextStar;



	private void Start()
	{
		nextStar = parentStar.ParentConstelation.GetNextStar(parentStar);
	}
	private void OnTriggerEnter2D(Collider2D collision)
	{
		if (!parentStar.Active) return;
		
		// Look for a Star on collided Trigger
		var reachedStar = collision.gameObject.GetComponent<ConstellationStar>();
		if (reachedStar)
		{
			// Must be 'the next' one
			if (reachedStar == parentStar.ParentConstelation.GetNextStar(parentStar))
			{
				ConnectReachedStar(reachedStar);
			}
		}
	}



	public void ResetPosition()
	{
		UpdatePosition(parentStar.transform.position);
	}
	public void UpdatePosition(Vector3 position)
	{
		transform.position = position;

		// Update Bridge
		if (nextStar)
		{
			// Full bridge update
			parentStar.bridge.UpdateAsTargetMoved(nextStar.transform.position);
		}
		else
		{
			// Update just the points
			parentStar.bridge.UpdateLinePoints();
		}
	}



	void ConnectReachedStar(ConstellationStar reachedStar)
	{
		parentStar.Connect(reachedStar);
	}
}