﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Assertions;

public class Flower : MonoBehaviour
{
	[Space]
	public InstrumentSO instrumentDef;

	
	int melodyToneIndex;
	bool completed = false;



	private void Awake()
	{
		ResetMelodyIndex();
	}
	void ResetMelodyIndex()
	{
		melodyToneIndex = 0;
		Debug.Log("ResetMelodyIndex()");
	}
	public void ToneTriggered(FlowerTone tone)
	{
		if (completed) return;
		
		
		if (instrumentDef.melody[melodyToneIndex] == tone.toneDef)
		{
			melodyToneIndex++;
			
			if (melodyToneIndex >= instrumentDef.melody.Count)
			{
				Completed();
			}
		}
		else
		{
			ResetMelodyIndex();
		}
	}



	public void Completed()
	{
		if (completed) return;
		completed = true;
		
		
		Debug.Log(this.gameObject.name + " completed.");
		
		GameController.MarkInstrumentAsCompleted(instrumentDef);

		Multitrack.Instance.IntroduceInstrument(instrumentDef);
		
		StartCoroutine(CompletedCoroutine());
	}
	IEnumerator CompletedCoroutine()
	{
		yield return new WaitForSeconds(2f);
		
		UnityPlayerApp.Scenes.Loft.Load();
	}
}