﻿using System.Collections;
using System.Collections.Generic;
using DG.Tweening;
using UnityEngine;
using UnityEngine.Assertions;

public class FlowerTone : MonoBehaviour
{
	public ToneSO toneDef;

	[Space]
	public SpriteRenderer mainVisual;
	public AudioSource audioSource;


	Flower parentFlower;



	private void Awake()
	{
		parentFlower = GetComponentInParent<Flower>();
		
		audioSource.clip = toneDef.GetAudioClip(parentFlower.instrumentDef);
	}
	private void OnMouseDown()
	{
		Trigger();
	}
	private void Update()
	{
		if (Input.GetKeyDown(toneDef.keycode)) Trigger();
	}



	private void Trigger()
	{
		audioSource.Play();

		DOTween.Kill(mainVisual.transform);
		mainVisual.transform.localScale = Vector3.one;
		mainVisual.transform.DOPunchScale(Vector3.one * 0.5f, 0.5f, vibrato: 0, elasticity: 0);

		parentFlower.ToneTriggered(this);
	}
}