﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Instrument : MonoBehaviour
{
    public InstrumentSO instrumentDef;
    public string ChangeSceneToThis;

	[Space]
	public GameObject noticky;

	[Space]
	public GameObject popPrefab;



	private void Awake()
	{
		bool visible =
			GameController.CompletedInstrumentCount >= instrumentDef.visibleAfterInstrumentsCompleted
			&&
			GameController.CompletedConstelationCount >= instrumentDef.visibleAfterConstellationsCompleteted;

		bool playing =
			GameController.IsCompleted(instrumentDef);

		UpdateState(visible, playing);
	}


	void UpdateState(bool newState, bool showAsPlaying)
	{
		this.gameObject.SetActive(newState);

		if (newState == true && !GameController.IsIntroduced(instrumentDef))
		{
			GameController.MarkAsVisuallyIntroduced(instrumentDef);

			// Pop
			Instantiate(popPrefab, this.transform.position, Quaternion.identity);
		}
		
		
		
		noticky.gameObject.SetActive(showAsPlaying);
	}

	public void ChangeSceneTo()
    {
		SceneManager.LoadScene(ChangeSceneToThis);
		//	SceneManager.LoadScene(instrumentDef + "Instrument");
    }
}
