﻿using System.Collections;
using System.Collections.Generic;
using DG.Tweening;
using UnityEngine;
using UnityEngine.Assertions;

public class InstrumentTrack : MonoBehaviour
{
	public AudioSource audioSource;
	public InstrumentSO instrumentDef;

	[Space]
	public float introduceDuration = 1f;


	bool isAudible = false;



	public void Initialize()
	{
		// Play but stay silent
		audioSource.volume = 0f;
		audioSource.Play();
	}



	public void Introduce(bool forceFadeIn = false)
	{
		if (isAudible && !forceFadeIn) return;
		
		
		isAudible = true;
		
		DOTween.Kill(audioSource);
		audioSource.DOFade(1f, introduceDuration);
	}
	public void FadeOut(float duration)
	{
		if (!isAudible) return;

		audioSource.DOFade(0f, duration);
	}
}