﻿using System.Collections;
using System.Collections.Generic;
using MavLib.ScreenFader;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Picture : MonoBehaviour
{
    public int visibleAfterInstrumentsCompleted = 1;

    [Space]
    public bool hideAfterFourInstrumentsCompleted = true;
    
    [Space]
    public string GoToConstellationScene;
    public string endingSceneName = "Ending";



    void Awake()
    {
        bool visible =
            GameController.CompletedInstrumentCount >= visibleAfterInstrumentsCompleted;

        if (hideAfterFourInstrumentsCompleted &&
            GameController.CompletedInstrumentCount >= 4)
        {
            visible = false;
        }

        this.gameObject.SetActive(visible);
    }


    public void ChangeSceneToConstellation()
    {
        SceneManager.LoadScene(GoToConstellationScene);
    }
    public void ChangeSceneToEnding()
	{
        Multitrack.Instance.FadeOut(2f);

        var screenFader = Camera.main.GetComponentInChildren<ScreenFader>();
        screenFader.FadeOut(() =>
        {
            SceneManager.LoadScene(endingSceneName);
        });
    }
}