﻿using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "New Tone", menuName = "Tone Definition", order = 31)]
public class ToneSO : ScriptableObject
{
	public Sprite constellationVisual;

	[Space]
	public KeyCode keycode;

	[Space]
	public List<InstrumentTonePair> instrumentTonePairs;



	public AudioClip GetAudioClip(InstrumentSO instrumentDef)
	{
		foreach(var itp in instrumentTonePairs)
		{
			if (itp.instrumentDef == instrumentDef)
			{
				return itp.audioClip;
			}
		}
		
		return null;
	}



	[System.Serializable]
	public class InstrumentTonePair
	{
		public InstrumentSO instrumentDef;
		public AudioClip audioClip;
	}
}