﻿using System.Collections.Generic;
using UnityEngine;

public static class GameController
{
	static List<InstrumentSO> completedConstelations = new List<InstrumentSO>();
	static List<InstrumentSO> introducedInstruments = new List<InstrumentSO>();
	static List<InstrumentSO> completedInstruments = new List<InstrumentSO>();



	public static void ResetGameState()
	{
		completedConstelations = new List<InstrumentSO>();
		introducedInstruments = new List<InstrumentSO>();
		completedInstruments = new List<InstrumentSO>();
	}



	public static void MarkConstellationAsCompleted(InstrumentSO instrumentDef)
	{
		if (!completedConstelations.Contains(instrumentDef))
			completedConstelations.Add(instrumentDef);
	}
	public static int CompletedConstelationCount => completedConstelations.Count;



	public static void MarkAsVisuallyIntroduced(InstrumentSO instrumentDef)
	{
		introducedInstruments.Add(instrumentDef);
	}
	public static bool IsIntroduced(InstrumentSO instrumentDef)
	{
		return (introducedInstruments.Contains(instrumentDef));
	}



	public static void MarkInstrumentAsCompleted(InstrumentSO instrumentDef)
	{
		if (!completedInstruments.Contains(instrumentDef))
			completedInstruments.Add(instrumentDef);
	}
	public static int CompletedInstrumentCount => completedInstruments.Count;
	public static bool IsCompleted(InstrumentSO instrumentDef)
	{
		return (completedInstruments.Contains(instrumentDef));
	}
}
