﻿using UnityEngine;

public static class VectorExtensions
{
	public static Vector3 WithX(this Vector3 vector, float x) => new Vector3(x, vector.y, vector.z);
	public static Vector3 WithY(this Vector3 vector, float y) => new Vector3(vector.x, y, vector.z);
	public static Vector3 WithZ(this Vector3 vector, float z) => new Vector3(vector.x, vector.y, z);


	public static Vector2 WithX(this Vector2 vector, float x) => new Vector2(x, vector.y);
	public static Vector2 WithY(this Vector2 vector, float y) => new Vector2(vector.x, y);
	public static Vector3 WithZ(this Vector2 vector, float z) => new Vector3(vector.x, vector.y, z);


	public static Vector2 Round(this Vector2 vector, int decimals)
	{
		int multiplier = (int)Mathf.Pow(10, decimals);
		
		vector.x = Mathf.Round(vector.x * multiplier) / multiplier;
		vector.y = Mathf.Round(vector.y * multiplier) / multiplier;
		
		return vector;
	}
}